package ch.rakudave.jnetmap.view.jung;

import org.apache.commons.collections15.Transformer;

import ch.rakudave.jnetmap.model.Connection;
import ch.rakudave.jnetmap.util.Settings;

public class EdgeLabeller implements Transformer<Connection, String> {

	@Override
	public String transform(Connection arg0) {
		StringBuffer sb = new StringBuffer();
		sb.append("<html><center>");
		if (Settings.getBoolean("connection.label.latency", false)) {
			Long latency = arg0.getLatency();
			if (latency != null) sb.append(latency).append("ms<br>");
		}
		sb.append("</center></html>");
		return sb.toString();
	}

}
